import { defineComponent as V, computed as B, createElementBlock as l, openBlock as a, normalizeClass as x, createCommentVNode as T, renderSlot as w, createTextVNode as se, createElementVNode as n, Fragment as _, renderList as C, toDisplayString as $, ref as S, h as oe, onMounted as H, watch as j, withDirectives as U, createVNode as X, isRef as Ie, vModelCheckbox as Be, unref as z, provide as Ve, normalizeStyle as re, inject as Pe, defineAsyncComponent as Oe, onBeforeUnmount as Ae, createBlock as ce, resolveDynamicComponent as pe, mergeProps as fe, nextTick as me, onUnmounted as ge, vModelSelect as F, vModelText as te } from "vue";
const Ue = {
  key: 0,
  class: "loading loading-spinner"
}, An = /* @__PURE__ */ V({
  __name: "ButtonComponent",
  props: {
    outlined: { type: Boolean, default: !1 },
    active: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    type: {},
    size: {},
    shape: {}
  },
  setup(u) {
    const o = u, e = B(() => {
      switch (o.size) {
        case "large":
          return "btn-lg";
        case "small":
          return "btn-sm";
        case "tiny":
          return "btn-tiny";
        case "wide":
          return "btn-wide";
        case "full":
          return "w-full";
        default:
          return "";
      }
    }), t = B(() => {
      switch (o.type) {
        case "neutral":
          return "btn-neutral";
        case "primary":
          return "btn-primary";
        case "secondary":
          return "btn-secondary";
        case "accent":
          return "btn-accent";
        case "ghost":
          return "btn-ghost";
        case "link":
          return "btn-link px-0!";
        case "info":
          return "btn-info";
        case "success":
          return "btn-success";
        case "warning":
          return "btn-warning";
        case "error":
          return "btn-error";
        default:
          return "btn-neutral";
      }
    }), r = B(() => {
      switch (o.shape) {
        case "square":
          return "btn-square";
        case "circle":
          return "btn-circle";
        default:
          return "";
      }
    });
    return (s, p) => (a(), l("button", {
      class: x(["btn", { "btn-outline": o.outlined }, { "btn-active": o.active }, t.value, e.value, r.value])
    }, [
      s.loading ? (a(), l("span", Ue)) : T("", !0),
      w(s.$slots, "default", {}, () => [
        p[0] || (p[0] = se("Submit"))
      ])
    ], 2));
  }
}), ze = {
  tabindex: "0",
  class: "z-1 bg-base-100 shadow-sm p-2 rounded-sm min-w-[inherit] md:min-w-full xl:min-w-52 dropdown-content menu"
}, Le = ["href"], Un = /* @__PURE__ */ V({
  __name: "dropdown",
  props: {
    items: {},
    position: { default: "bottom" },
    floatPosition: { default: "start" },
    openOnHover: { type: Boolean, default: !1 },
    forceOpen: { type: Boolean, default: !1 }
  },
  setup(u) {
    const o = {
      left: "dropdown-left",
      right: "dropdown-right",
      bottom: "dropdown-bottom",
      top: "dropdown-top"
    }, e = {
      start: "",
      end: "dropdown-end"
    }, t = u;
    return (r, s) => (a(), l("div", {
      class: x(["dropdown", o[t.position], e[t.floatPosition], { "dropdown-open": t.forceOpen }, { "dropdown-hover": t.openOnHover }])
    }, [
      w(r.$slots, "default", {
        tabindex: "0",
        role: "button"
      }, () => [
        s[0] || (s[0] = n("div", { class: "m-1 btn" }, "Open dropdown", -1))
      ]),
      n("ul", ze, [
        (a(!0), l(_, null, C(r.items, (p) => (a(), l("li", null, [
          n("a", {
            href: p.link
          }, $(p.text), 9, Le)
        ]))), 256)),
        w(r.$slots, "additional")
      ])
    ], 2));
  }
}), je = { class: "modal-box" }, Ne = { class: "modal-action" }, zn = /* @__PURE__ */ V({
  __name: "modal",
  props: {
    position: { default: "center" },
    withBackdrop: { type: Boolean, default: !1 }
  },
  setup(u) {
    const o = u, e = {
      top: "modal-top",
      bottom: "modal-bottom",
      center: "modal-middle"
    }, t = S(null), r = () => {
      var p;
      (p = t.value) == null || p.showModal();
    }, s = () => {
      var p;
      (p = t.value) == null || p.close();
    };
    return (p, h) => (a(), l(_, null, [
      n("span", {
        class: "w-fit cursor-pointer",
        onClick: r
      }, [
        w(p.$slots, "trigger", { role: "button" }, () => [
          h[0] || (h[0] = n("button", { class: "btn" }, "Open", -1))
        ])
      ]),
      n("dialog", {
        ref_key: "dialog",
        ref: t,
        class: x(["modal", e[o.position]])
      }, [
        n("div", je, [
          w(p.$slots, "default"),
          n("div", Ne, [
            w(p.$slots, "actions"),
            n("form", {
              method: "dialog",
              onSubmit: s,
              class: x(p.withBackdrop ? "modal-backdrop" : "")
            }, [
              w(p.$slots, "close-button", {}, () => [
                h[1] || (h[1] = n("button", { class: "btn" }, "Close", -1))
              ])
            ], 34)
          ])
        ])
      ], 2)
    ], 64));
  }
}), Re = { class: "swap-on" }, Fe = { class: "swap-off" }, Ln = /* @__PURE__ */ V({
  __name: "swap",
  props: {
    effect: {}
  },
  setup(u) {
    const o = u;
    return (e, t) => (a(), l("label", {
      class: x(["swap", o.effect ? `swap-${e.effect}` : ""])
    }, [
      t[0] || (t[0] = n("input", { type: "checkbox" }, null, -1)),
      n("div", Re, [
        w(e.$slots, "on")
      ]),
      n("div", Fe, [
        w(e.$slots, "off")
      ])
    ], 2));
  }
});
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const Ee = (u) => u.replace(/([a-z0-9])([A-Z])/g, "$1-$2").toLowerCase();
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
var ee = {
  xmlns: "http://www.w3.org/2000/svg",
  width: 24,
  height: 24,
  viewBox: "0 0 24 24",
  fill: "none",
  stroke: "currentColor",
  "stroke-width": 2,
  "stroke-linecap": "round",
  "stroke-linejoin": "round"
};
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const qe = ({ size: u, strokeWidth: o = 2, absoluteStrokeWidth: e, color: t, iconNode: r, name: s, class: p, ...h }, { slots: v }) => oe(
  "svg",
  {
    ...ee,
    width: u || ee.width,
    height: u || ee.height,
    stroke: t || ee.stroke,
    "stroke-width": e ? Number(o) * 24 / Number(u) : o,
    class: ["lucide", `lucide-${Ee(s ?? "icon")}`],
    ...h
  },
  [...r.map((m) => oe(...m)), ...v.default ? [v.default()] : []]
);
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const ne = (u, o) => (e, { slots: t }) => oe(
  qe,
  {
    ...e,
    iconNode: o,
    name: u
  },
  t
);
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const We = ne("CalendarIcon", [
  ["path", { d: "M8 2v4", key: "1cmpym" }],
  ["path", { d: "M16 2v4", key: "4m81vk" }],
  ["rect", { width: "18", height: "18", x: "3", y: "4", rx: "2", key: "1hopcy" }],
  ["path", { d: "M3 10h18", key: "8toen8" }]
]);
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const He = ne("MoonIcon", [
  ["path", { d: "M12 3a6 6 0 0 0 9 9 9 9 0 1 1-9-9Z", key: "a7tn18" }]
]);
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const ve = ne("SearchIcon", [
  ["circle", { cx: "11", cy: "11", r: "8", key: "4ej97u" }],
  ["path", { d: "m21 21-4.3-4.3", key: "1qie3q" }]
]);
/**
 * @license lucide-vue-next v0.468.0 - ISC
 *
 * This source code is licensed under the ISC license.
 * See the LICENSE file in the root directory of this source tree.
 */
const Ye = ne("SunIcon", [
  ["circle", { cx: "12", cy: "12", r: "4", key: "4exip2" }],
  ["path", { d: "M12 2v2", key: "tus03m" }],
  ["path", { d: "M12 20v2", key: "1lh1kg" }],
  ["path", { d: "m4.93 4.93 1.41 1.41", key: "149t6j" }],
  ["path", { d: "m17.66 17.66 1.41 1.41", key: "ptbguv" }],
  ["path", { d: "M2 12h2", key: "1t8f8n" }],
  ["path", { d: "M20 12h2", key: "1q8mjw" }],
  ["path", { d: "m6.34 17.66-1.41 1.41", key: "1m8zz5" }],
  ["path", { d: "m19.07 4.93-1.41 1.41", key: "1shlcs" }]
]), Je = (u, o) => {
  const e = S(null);
  return H(() => {
    if (typeof window < "u") {
      const t = window.localStorage.getItem(u);
      e.value = t ? JSON.parse(t) : o;
    }
  }), j(e, (t) => {
    typeof window < "u" && window.localStorage.setItem(u, JSON.stringify(t));
  }), e;
}, Ge = { class: "swap-rotate swap" }, Ke = ["true-value", "false-value"], jn = /* @__PURE__ */ V({
  __name: "theme-controller",
  props: {
    lightTheme: { default: "light" },
    darkTheme: { default: "dark" }
  },
  setup(u) {
    const o = u, e = Je("theme", o.lightTheme);
    function t(r) {
      typeof window < "u" && window.document && document.documentElement.setAttribute("data-theme", r);
    }
    return H(() => t(e.value ? e.value : "")), j(e, (r) => {
      t(r);
    }), (r, s) => (a(), l("label", Ge, [
      U(n("input", {
        type: "checkbox",
        class: "theme-controller",
        "onUpdate:modelValue": s[0] || (s[0] = (p) => Ie(e) ? e.value = p : null),
        "true-value": o.lightTheme,
        "false-value": o.darkTheme
      }, null, 8, Ke), [
        [Be, z(e)]
      ]),
      X(z(Ye), { class: "swap-off fill-current" }),
      X(z(He), { class: "swap-on fill-current" })
    ]));
  }
}), Xe = ["name"], Ze = { class: "collapse-title font-bold text-2xl lg:text-4xl" }, Qe = { class: "collapse-content" }, et = ["innerHTML"], Nn = /* @__PURE__ */ V({
  __name: "accordion",
  props: {
    name: {},
    items: {},
    joinItems: { type: Boolean, default: !1 },
    icon: {}
  },
  setup(u) {
    const o = u;
    return (e, t) => (a(!0), l(_, null, C(o.items, (r, s) => (a(), l("div", {
      class: x(["collapse border border-base-300", [e.icon ? `collapse-${e.icon}` : "", { "join-item": e.joinItems }]]),
      key: s
    }, [
      n("input", {
        type: "radio",
        name: e.name,
        value: "true"
      }, null, 8, Xe),
      n("div", Ze, $(r.title), 1),
      n("div", Qe, [
        n("span", {
          innerHTML: r.content
        }, null, 8, et)
      ])
    ], 2))), 128));
  }
}), tt = ["src"], nt = { class: "text-xl" }, Rn = /* @__PURE__ */ V({
  __name: "avatar",
  props: {
    image: {},
    onlineStatus: { default: "none" },
    initials: {},
    fullyRounded: { type: Boolean, default: !1 }
  },
  setup(u) {
    const o = u, e = S(o.onlineStatus);
    return j(
      () => o.onlineStatus,
      (t) => {
        t && (e.value = t);
      }
    ), (t, r) => (a(), l("div", {
      class: x(["avatar", [{ "avatar-online": e.value === "online" }, { "avatar-offline": e.value === "offline" }]])
    }, [
      t.image ? (a(), l("div", {
        key: 0,
        class: x(["rounded", [{ "rounded-full": t.fullyRounded }, { rounded: !t.fullyRounded }]])
      }, [
        n("img", {
          src: t.image,
          class: "w-full h-full"
        }, null, 8, tt)
      ], 2)) : (a(), l("div", {
        key: 1,
        class: x(["flex justify-center bg-neutral p-[25%] rounded w-16 text-neutral-content text-center", [{ "rounded-full": t.fullyRounded }, { rounded: !t.fullyRounded }]])
      }, [
        n("p", nt, $(t.initials), 1)
      ], 2))
    ], 2));
  }
}), Fn = /* @__PURE__ */ V({
  __name: "badge",
  props: {
    color: { default: "neutral" },
    outline: { type: Boolean, default: !1 },
    size: { default: "medium" }
  },
  setup(u) {
    const o = u, e = {
      "extra small": "badge-xs",
      small: "badge-sm",
      medium: "badge-md",
      large: "badge-lg"
    }, t = {
      neutral: "badge-neutral",
      primary: "badge-primary",
      secondary: "badge-secondary",
      accent: "badge-accent",
      ghost: "badge-ghost",
      info: "badge-info",
      success: "badge-success",
      warning: "badge-warning",
      error: "badge-error"
    };
    return (r, s) => (a(), l("span", {
      class: x(["badge", e[o.size], t[o.color], { "badge-outline": o.outline }])
    }, [
      w(r.$slots, "default")
    ], 2));
  }
}), at = ["src", "alt"], lt = {
  key: 1,
  class: "w-full h-32 skeleton"
}, ot = {
  key: 0,
  class: "card-body"
}, st = {
  key: 0,
  class: "group-hover:text-primary text-lg text-left cursor-pointer card-title"
}, rt = {
  key: 1,
  class: "text-left"
}, it = { class: "flex-col flex-nowrap mt-auto card-actions" }, ut = {
  key: 1,
  class: "card-body"
}, En = /* @__PURE__ */ V({
  __name: "card",
  props: {
    imgUrl: { default: "" },
    alt: { default: "A beautiful picture that says something about this card" },
    title: { default: "" },
    description: { default: "" },
    outlined: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    class: { default: "" },
    background: { default: "bg-base-100" },
    color: { default: "" }
  },
  setup(u) {
    const o = u, e = S(o.outlined);
    return j(
      () => o.outlined,
      (t) => {
        e.value = t;
      }
    ), (t, r) => (a(), l("div", {
      class: x(["group bg-base-100 shadow-xl rounded-sm min-w-64 max-w-full h-full card card-compact", [{ "border-4 border-primary": e.value }, t.color ?? "", t.background]])
    }, [
      n("figure", null, [
        t.imgUrl || t.imgUrl && !t.loading ? (a(), l("img", {
          key: 0,
          src: t.imgUrl,
          alt: t.alt,
          class: x(["rounded-sm w-full h-44 object-cover", {
            hidden: t.loading
          }])
        }, null, 10, at)) : T("", !0),
        t.loading && t.imgUrl ? (a(), l("div", lt)) : T("", !0)
      ]),
      t.loading ? T("", !0) : (a(), l("div", ot, [
        t.title ? (a(), l("h2", st, $(t.title), 1)) : T("", !0),
        w(t.$slots, "details"),
        t.description ? (a(), l("p", rt, $(t.description), 1)) : T("", !0),
        n("div", it, [
          w(t.$slots, "actions")
        ])
      ])),
      t.loading ? (a(), l("div", ut, r[0] || (r[0] = [
        n("div", { class: "flex flex-col gap-4 w-52" }, [
          n("div", { class: "w-28 h-4 skeleton" }),
          n("div", { class: "w-full h-4 skeleton" }),
          n("div", { class: "w-full h-4 skeleton" })
        ], -1)
      ]))) : T("", !0)
    ], 2));
  }
}), he = Symbol("CarouselItemStyle"), dt = { class: "relative" }, ct = { class: "top-1/2 right-5 left-5 z-10 absolute flex justify-between -translate-y-1/2 transform" }, pt = {
  key: 0,
  class: "bottom-5 z-10 absolute flex justify-center gap-2 py-2 w-full"
}, ft = ["onClick", "aria-label"], mt = /* @__PURE__ */ V({
  __name: "carousel",
  props: {
    showIndicators: {
      type: Boolean,
      default: !0
    },
    initialSlide: {
      type: Number,
      default: 0
    },
    slidesPerView: {
      type: Number,
      default: 1,
      validator: (u) => u >= 1
    },
    gap: {
      type: Number,
      default: 0,
      validator: (u) => u >= 0
    },
    slideDuration: {
      type: Number,
      default: 300,
      validator: (u) => u >= 0
    }
  },
  setup(u) {
    const o = u, e = S(o.initialSlide), t = S(null), r = S(!1), s = S(0), p = B(() => ({
      width: `calc((100% - ${o.slidesPerView > 1 ? (o.slidesPerView - 1) * o.gap : 0}px) / ${o.slidesPerView})`
    }));
    Ve(he, p);
    const h = () => {
      if (!t.value || o.slidesPerView <= 0) return 0;
      const f = t.value.offsetWidth, g = o.slidesPerView > 1 ? (o.slidesPerView - 1) * o.gap : 0;
      return (f - g) / o.slidesPerView;
    }, v = () => {
      t.value ? s.value = t.value.children.length : s.value = 0;
    }, m = async (f) => {
      if (!t.value || o.slidesPerView <= 0 || r.value || (v(), s.value === 0)) return;
      const g = (f % s.value + s.value) % s.value, k = t.value, D = h();
      if (D <= 0) return;
      const y = D + o.gap, I = g * y, O = k.scrollWidth - k.offsetWidth, R = Math.max(0, Math.min(I, O + 0.5));
      r.value = !0, k.style.scrollBehavior = "auto";
      const Y = k.scrollLeft, q = R - Y;
      if (Math.abs(q) < 1) {
        r.value = !1, e.value = g;
        return;
      }
      const J = performance.now(), Z = (ae) => {
        const W = ae - J, A = Math.min(1, W / o.slideDuration), le = A < 0.5 ? 4 * A * A * A : 1 - Math.pow(-2 * A + 2, 3) / 2;
        k.scrollLeft = Y + q * le, A < 1 ? requestAnimationFrame(Z) : (k.scrollLeft = R, e.value = g, r.value = !1);
      };
      requestAnimationFrame(Z);
    }, b = () => {
      m(e.value + 1);
    }, L = () => {
      m(e.value - 1);
    }, E = (f) => {
      m(f);
    }, M = () => {
      if (!t.value || o.slidesPerView <= 0 || (v(), s.value === 0)) return;
      const f = t.value, g = h();
      if (g <= 0) return;
      const k = Math.max(0, s.value - o.slidesPerView), D = Math.min(Math.max(0, o.initialSlide), k), y = g + o.gap, I = D * y, O = f.scrollWidth - f.offsetWidth, R = Math.max(0, Math.min(I, O + 0.5));
      f.scrollTo({ left: R, behavior: "auto" }), e.value = D;
    };
    return H(() => {
      requestAnimationFrame(() => {
        requestAnimationFrame(M);
      }), v();
    }), j(() => o.initialSlide, (f) => {
      requestAnimationFrame(() => m(f));
    }), j(() => [o.slidesPerView, o.gap], () => {
      requestAnimationFrame(() => {
        requestAnimationFrame(() => {
          if (v(), s.value === 0) return;
          const f = Math.max(0, s.value - o.slidesPerView), g = Math.min(e.value, f), k = o.slideDuration;
          o.slideDuration = 0, m(g), o.slideDuration = k;
        });
      });
    }), (f, g) => (a(), l("div", dt, [
      n("div", {
        ref_key: "carouselContainer",
        ref: t,
        class: "rounded w-full overflow-x-scroll scroll-smooth carousel carousel-horizontal",
        style: re({ gap: `${u.gap}px` })
      }, [
        w(f.$slots, "default", {}, void 0, !0)
      ], 4),
      n("div", ct, [
        n("div", {
          onClick: L,
          role: "button",
          "aria-label": "Previous Slide"
        }, [
          w(f.$slots, "prevButton", {}, () => [
            g[0] || (g[0] = n("button", {
              class: "btn btn-circle",
              tabindex: "-1"
            }, "❮", -1))
          ], !0)
        ]),
        n("div", {
          onClick: b,
          role: "button",
          "aria-label": "Next Slide"
        }, [
          w(f.$slots, "nextButton", {}, () => [
            g[1] || (g[1] = n("button", {
              class: "btn btn-circle",
              tabindex: "-1"
            }, "❯", -1))
          ], !0)
        ])
      ]),
      u.showIndicators ? (a(), l("div", pt, [
        (a(!0), l(_, null, C(s.value, (k, D) => (a(), l("button", {
          key: `dot-${D}`,
          onClick: (y) => E(D),
          class: x(["btn btn-circle btn-xs", { "btn-active": D === e.value }]),
          "aria-label": `Go to slide ${D + 1}`
        }, null, 10, ft))), 128))
      ])) : T("", !0)
    ]));
  }
}), G = (u, o) => {
  const e = u.__vccOpts || u;
  for (const [t, r] of o)
    e[t] = r;
  return e;
}, qn = /* @__PURE__ */ G(mt, [["__scopeId", "data-v-f820adac"]]), vt = /* @__PURE__ */ V({
  __name: "carouselItem",
  setup(u) {
    const o = Pe(he, S({}));
    return (e, t) => (a(), l("div", {
      class: "relative w-full carousel-item",
      style: re(z(o))
    }, [
      w(e.$slots, "default", {}, void 0, !0)
    ], 4));
  }
}), Wn = /* @__PURE__ */ G(vt, [["__scopeId", "data-v-b38df5e3"]]), gt = { class: "flex gap-4 bg-base-100 w-full tabs tabs-boxed" }, ht = ["onClick"], bt = { class: "text-sm" }, yt = { class: "md:block hidden opacity-35 text-xs truncate overflow-hidden ..." }, wt = { class: "hidden" }, kt = {
  id: "advancedSearchMobile",
  class: "modal"
}, _t = { class: "modal-box" }, $t = { class: "font-bold text-lg" }, St = ["checked"], xt = { class: "flex justify-between items-center pr-4 w-full font-medium text-xl collapse-title" }, Ct = { class: "text-sm" }, Dt = { class: "flex place-content-center p-0 collapse-content" }, Mt = /* @__PURE__ */ V({
  __name: "advancedSearch",
  props: {
    searchOptions: {},
    currentCategory: {}
  },
  emits: ["search", "update:search-data"],
  setup(u, { emit: o }) {
    const e = u, t = o, r = S(null), s = {
      datetime: Oe(() => Promise.resolve().then(() => Qt))
    }, p = S({}), h = S({ left: "0px", top: "0px", transform: "translateX(0%)" }), v = S(null);
    function m(f, g) {
      var k, D, y;
      if ((k = r.value) != null && k.name) {
        t("update:search-data", {
          tab: r.value.name,
          data: f
        });
        return;
      }
      if (e.searchOptions) {
        let I = (y = (D = e.searchOptions) == null ? void 0 : D.find((O) => (O == null ? void 0 : O.category) === e.currentCategory)) == null ? void 0 : y.tabs[g];
        I !== void 0 && (I.value = f, t("update:search-data", {
          tab: I == null ? void 0 : I.name,
          data: I == null ? void 0 : I.value
        }));
      }
    }
    function b() {
      t("search");
    }
    async function L(f) {
      v.value && !v.value.contains(f.target) && (await me(), r.value = null);
    }
    async function E() {
      if (typeof window < "u" && window.innerWidth <= 768) {
        const f = document.getElementById("advancedSearchMobile");
        f ? f.showModal() : console.warn("Modal element not found.");
      }
    }
    async function M(f) {
      var k;
      r.value = f, await me();
      const g = p.value[f.name];
      if (g) {
        const D = g.getBoundingClientRect(), y = ((k = v.value) == null ? void 0 : k.getBoundingClientRect()) || { left: 0, top: 0 };
        window.innerWidth > 768 ? h.value = {
          left: `${D.left + D.width / 2 - y.left}px`,
          top: `${D.bottom - y.top}px`,
          transform: "translateX(-50%)"
        } : h.value = {
          left: "50%",
          top: `${D.bottom - y.top}px`,
          transform: "translateX(-50%)"
          // Center the popup horizontally on mobile
        };
      } else
        console.error("Tab element not found for:", f.name);
    }
    return H(() => {
      document.addEventListener("click", L);
    }), Ae(() => {
      document.removeEventListener("click", L);
    }), (f, g) => {
      var k, D;
      return a(), l(_, null, [
        n("div", {
          ref_key: "searchContainer",
          ref: v,
          class: "w-full"
        }, [
          n("div", {
            class: "group/search relative flex place-items-center border-2 shadow-md p-2 border-base-300/25 rounded-sm w-full transition-all cursor-pointer md:cursor-auto",
            onClick: E
          }, [
            n("div", gt, [
              (a(!0), l(_, null, C(((k = e.searchOptions.find((y) => y.category === e.currentCategory)) == null ? void 0 : k.tabs) || [], (y) => {
                var I;
                return a(), l("button", {
                  key: y.name,
                  onClick: (O) => M(y),
                  class: x([{ "tab-active": ((I = r.value) == null ? void 0 : I.name) === y.name }, "group/searchitem relative after:top-0 after:-right-2 after:absolute first-of-type:flex-auto last-of-type:flex-auto md:after:content-[''] last-of-type:after:content-none after:content-none after:bg-base-200 hover:bg-base-200 p-1 rounded-sm w-auto after:w-[1px] after:h-10 text-start overflow-x-hidden pointer-events-none md:pointer-events-auto"]),
                  ref_for: !0,
                  ref: (O) => p.value[y.name] = O
                }, [
                  n("p", bt, $(y.name), 1),
                  n("p", yt, $(y.description), 1)
                ], 10, ht);
              }), 128))
            ]),
            r.value ? (a(), l("div", {
              key: 0,
              class: "absolute flex shadow-sm mt-4 w-fit max-w-full transition-all tab-content",
              style: re(h.value)
            }, [
              (a(), ce(pe(s[r.value.type]), fe(r.value.props ? r.value.props : null, { onUpdated: m }), null, 16))
            ], 4)) : T("", !0),
            n("button", {
              title: "search",
              type: "submit",
              class: "ml-1 btn btn-primary btn-square",
              onClick: b
            }, [
              X(z(ve), {
                size: 24,
                color: "white"
              })
            ])
          ]),
          n("div", wt, [
            n("button", {
              title: "search",
              onClick: g[0] || (g[0] = () => {
              })
            }, [
              X(z(ve), {
                size: 24,
                color: "white"
              })
            ])
          ])
        ], 512),
        n("dialog", kt, [
          n("div", _t, [
            w(f.$slots, "additionalForMobile", {}, () => [
              n("h3", $t, $(f.currentCategory), 1)
            ], !0),
            (a(!0), l(_, null, C(((D = e.searchOptions.find((y) => y.category === e.currentCategory)) == null ? void 0 : D.tabs) || [], (y, I) => (a(), l("div", {
              class: "bg-base-200 my-4 collapse",
              key: y.name
            }, [
              n("input", {
                type: "radio",
                name: "my-accordion-1",
                checked: I === 0
              }, null, 8, St),
              n("div", xt, [
                se($(y.name) + " ", 1),
                n("p", Ct, $(y.description), 1)
              ]),
              n("div", Dt, [
                g[1] || (g[1] = n("br", null, null, -1)),
                (a(), ce(pe(s[y.type]), fe({ ref_for: !0 }, y.props || {}, {
                  onUpdated: (O) => m(O, I)
                }), null, 16, ["onUpdated"]))
              ])
            ]))), 128)),
            n("div", { class: "modal-action" }, [
              n("form", { method: "dialog" }, [
                n("button", {
                  class: "btn btn-primary",
                  onClick: b
                }, "Close and Search")
              ])
            ])
          ])
        ])
      ], 64);
    };
  }
}), Hn = /* @__PURE__ */ G(Mt, [["__scopeId", "data-v-08fa37eb"]]), Tt = ["placeholder", "value", "id"], It = { class: "btn btn-ghost" }, Bt = ["id"], Vt = {
  key: 0,
  class: "flex justify-between items-center place-content-center mb-4"
}, Pt = ["value"], Ot = ["value"], At = {
  key: 1,
  class: "gap-2 grid grid-cols-7"
}, Ut = ["onClick"], zt = {
  key: 2,
  class: "mt-4 lg:w-80"
}, Lt = {
  key: 0,
  class: "mb-2 font-bold text-lg"
}, jt = { key: 1 }, Nt = {
  key: 1,
  class: "flex gap-4"
}, Rt = ["value"], Ft = ["value"], Et = {
  key: 2,
  class: "flex flex-col gap-4"
}, qt = {
  key: 1,
  class: "flex gap-2"
}, Wt = ["value"], Ht = ["value"], Yt = {
  key: 1,
  class: "flex gap-2"
}, Jt = ["value"], Gt = ["value"], Kt = { class: "flex gap-2 mt-4" }, Xt = {
  __name: "datetimePicker",
  props: {
    mode: {
      type: String,
      default: "datetime",
      // 'datetime', 'date', 'time'
      validator: (u) => ["datetime", "date", "time"].includes(u)
    },
    range: {
      type: Boolean,
      default: !1
    },
    placeholder: {
      type: String,
      default: "Select date and time"
    },
    popup: {
      type: Boolean,
      default: !1
    },
    id: {
      type: String,
      default: "datetimepicker"
    },
    initialDate: {
      type: Object,
      default: () => null
    }
  },
  emits: ["updated"],
  setup(u, { emit: o }) {
    const e = u;
    j(() => e.range, (d) => {
      d ? (s.value = { start: null, end: null }, p.value = { start: null, end: null }) : (s.value = null, p.value = null);
    });
    const t = o, r = S(!1), s = S(e.range ? { start: null, end: null } : null), p = S(e.range ? { start: null, end: null } : null), h = S((/* @__PURE__ */ new Date()).toLocaleString("default", { month: "long" })), v = S((/* @__PURE__ */ new Date()).getFullYear()), m = S(e.range ? { start: 0, end: 0 } : 0), b = S(e.range ? { start: 0, end: 0 } : 0), L = S(null), E = B(() => `${e.id}-input`), M = B(() => `${e.id}-popup`), f = B(() => e.mode === "date" || e.mode === "datetime"), g = B(() => e.mode === "time" || e.mode === "datetime");
    B(() => new Date(v.value, k.value));
    const k = B(() => J.indexOf(h.value)), D = ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"], y = B(() => new Date(v.value, k.value).getDay()), I = B(() => {
      const d = new Date(v.value, k.value + 1, 0).getDate();
      return Array.from({ length: d }, (c, i) => new Date(v.value, k.value, i + 1));
    }), O = B(() => Array.from({ length: y.value }, (d, c) => c)), R = Array.from({ length: 24 }, (d, c) => c), Y = Array.from({ length: 60 }, (d, c) => c), q = B(
      () => typeof navigator < "u" && /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(
        navigator.userAgent
      )
    ), J = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"], Z = B(() => {
      const d = (/* @__PURE__ */ new Date()).getFullYear();
      return Array.from({ length: 100 }, (c, i) => d - 50 + i);
    }), ae = B(() => {
      if (!f.value || !s.value) return "";
      if (e.range && s.value.start && s.value.end) {
        const d = s.value.start.toLocaleDateString("en-US"), c = s.value.end.toLocaleDateString("en-US");
        return `${d} - ${c}`;
      }
      return !e.range && s.value ? s.value.toLocaleDateString("en-US") : "";
    }), W = (d) => d instanceof Date ? d : new Date(d), A = (d) => d instanceof Date && !isNaN(d), le = B(() => {
      if (!g.value) return "";
      const d = (c) => {
        var Q, K, de;
        const i = ((Q = m.value) == null ? void 0 : Q[c]) ?? m.value, N = ((K = b.value) == null ? void 0 : K[c]) ?? b.value;
        return q.value ? ((de = p.value) == null ? void 0 : de[c]) ?? p.value : `${i.toString().padStart(2, "0")}:${N.toString().padStart(2, "0")}`;
      };
      return e.range ? `${d("start")} - ${d("end")}` : d();
    }), be = B(() => {
      const d = ae.value, c = le.value;
      return `${d} ${c}`.trim();
    }), ye = () => r.value = !r.value, ie = () => {
      P(), we();
    }, we = () => r.value = !1, ke = () => {
      s.value = e.range ? { start: null, end: null } : null, p.value = e.range ? { start: null, end: null } : null, P();
    }, _e = (d) => {
      e.range ? s.value.start && s.value.end ? s.value = { start: d, end: null } : s.value.start ? s.value.end = d : s.value.start = d : s.value = d, P();
    }, $e = (d) => (d = W(d), e.range ? s.value.start && A(s.value.start) && d.getTime() === s.value.start.getTime() || s.value.end && A(s.value.end) && d.getTime() === s.value.end.getTime() : A(s.value) && d.getTime() === s.value.getTime()), Se = (d) => {
      d = W(d);
      const c = /* @__PURE__ */ new Date();
      return d.getDate() === c.getDate() && d.getMonth() === c.getMonth() && d.getFullYear() === c.getFullYear();
    }, xe = (d) => (d = W(d), e.range && A(s.value.start) && d.getTime() === s.value.start.getTime()), Ce = (d) => (d = W(d), e.range && A(s.value.end) && d.getTime() === s.value.end.getTime()), De = (d) => {
      if (d = W(d), e.range && A(s.value.start) && A(s.value.end)) {
        const c = s.value.start.getTime(), i = s.value.end.getTime(), N = d.getTime();
        return N > c && N < i;
      }
      return !1;
    }, Me = () => {
      let d = k.value - 1;
      d < 0 && (d = 11, v.value--), h.value = J[d], P();
    }, Te = () => {
      let d = k.value + 1;
      d > 11 && (d = 0, v.value++), h.value = J[d], P();
    }, ue = (d) => {
      L.value && !L.value.contains(d.target) && r.value == !0 && ie();
    }, P = () => {
      let d = {};
      const c = (i, N, Q) => {
        i instanceof Date && !isNaN(i) || (i = /* @__PURE__ */ new Date());
        const K = new Date(i);
        return K.setUTCHours(N, Q, 0, 0), K.toISOString();
      };
      e.range ? (d.from = c(
        s.value.start,
        m.value.start,
        b.value.start
      ), d.to = c(
        s.value.end,
        m.value.end,
        b.value.end
      )) : d = c(
        s.value,
        m.value,
        b.value
      ), t("updated", d);
    };
    return H(() => {
      e.initialDate && (e.range && e.initialDate.start && e.initialDate.end ? s.value = {
        start: new Date(e.initialDate.start),
        end: new Date(e.initialDate.end)
      } : e.initialDate.start && (s.value = { start: new Date(e.initialDate.start) })), e.range ? (m.value.start = m.value.start ?? (/* @__PURE__ */ new Date()).getHours(), m.value.end = m.value.end ?? (/* @__PURE__ */ new Date()).getHours(), b.value.start = b.value.start ?? (/* @__PURE__ */ new Date()).getMinutes(), b.value.end = b.value.end ?? (/* @__PURE__ */ new Date()).getMinutes()) : (m.value = m.value ?? (/* @__PURE__ */ new Date()).getHours(), b.value = b.value ?? (/* @__PURE__ */ new Date()).getMinutes());
    }), e.popup && H(() => document.addEventListener("click", ue)), ge(() => document.removeEventListener("click", ue)), (d, c) => (a(), l("div", {
      class: "inline-block relative w-full lg:w-[360px]",
      ref_key: "pickerContainer",
      ref: L
    }, [
      n("div", {
        class: "flex items-center gap-2 cursor-pointer",
        onClick: ye
      }, [
        u.popup ? w(d.$slots, "default", { key: 0 }, () => [
          n("input", {
            type: "text",
            class: "input-bordered w-full cursor-pointer input",
            placeholder: u.placeholder,
            value: be.value,
            readonly: "",
            id: E.value
          }, null, 8, Tt),
          n("button", It, [
            X(z(We))
          ])
        ], !0) : T("", !0)
      ]),
      r.value || !u.popup ? (a(), l("div", {
        key: 0,
        class: x(["z-50 lg:bg-base-100 md:mt-2 md:p-4 px-4 rounded-md w-full", [{ absolute: u.popup }]]),
        id: M.value
      }, [
        f.value ? (a(), l("div", Vt, [
          n("button", {
            class: "hidden md:block btn-outline btn btn-primary md:btn-sm",
            onClick: Me
          }, c[11] || (c[11] = [
            n("svg", {
              xmlns: "http://www.w3.org/2000/svg",
              class: "w-4 h-4",
              fill: "none",
              viewBox: "0 0 24 24",
              stroke: "currentColor"
            }, [
              n("path", {
                "stroke-linecap": "round",
                "stroke-linejoin": "round",
                "stroke-width": "2",
                d: "M15 19l-7-7 7-7"
              })
            ], -1)
          ])),
          U(n("select", {
            class: "border-none w-fit select",
            "onUpdate:modelValue": c[0] || (c[0] = (i) => h.value = i),
            onChange: P
          }, [
            (a(), l(_, null, C(J, (i, N) => n("option", {
              key: N,
              value: i
            }, $(i), 9, Pt)), 64))
          ], 544), [
            [F, h.value]
          ]),
          U(n("select", {
            class: "border-none w-24 select",
            "onUpdate:modelValue": c[1] || (c[1] = (i) => v.value = i),
            onChange: P
          }, [
            (a(!0), l(_, null, C(Z.value, (i) => (a(), l("option", {
              key: i,
              value: i
            }, $(i), 9, Ot))), 128))
          ], 544), [
            [F, v.value]
          ]),
          n("button", {
            class: "hidden md:block btn-outline btn btn-primary md:btn-sm",
            onClick: Te
          }, c[12] || (c[12] = [
            n("svg", {
              xmlns: "http://www.w3.org/2000/svg",
              class: "w-4 h-4",
              fill: "none",
              viewBox: "0 0 24 24",
              stroke: "currentColor"
            }, [
              n("path", {
                "stroke-linecap": "round",
                "stroke-linejoin": "round",
                "stroke-width": "2",
                d: "M9 5l7 7-7 7"
              })
            ], -1)
          ]))
        ])) : T("", !0),
        f.value ? (a(), l("div", At, [
          (a(), l(_, null, C(D, (i) => n("div", {
            key: i,
            class: "text-center"
          }, $(i), 1)), 64)),
          (a(!0), l(_, null, C(O.value, (i) => (a(), l("div", {
            key: i,
            class: "text-center"
          }))), 128)),
          (a(!0), l(_, null, C(I.value, (i) => (a(), l("div", {
            key: i,
            class: x(["hover:bg-primary-10 py-1 rounded-full text-center cursor-pointer", {
              "bg-primary text-primary-content": $e(i),
              today: Se(i),
              "range-start bg-primary text-primary-content": xe(i),
              "range-end bg-primary text-primary-content": Ce(i),
              "in-range bg-primary/20 hover:bg-primary/10": De(i)
            }]),
            onClick: (N) => _e(i)
          }, $(i.getDate()), 11, Ut))), 128))
        ])) : T("", !0),
        g.value ? (a(), l("div", zt, [
          e.range ? T("", !0) : (a(), l("h3", Lt, "Select Time")),
          e.range ? (a(), l("div", Et, [
            n("div", null, [
              c[13] || (c[13] = n("p", { class: "font-bold" }, "Start Time", -1)),
              q.value ? U((a(), l("input", {
                key: 0,
                type: "time",
                class: "input-bordered w-full input",
                "onUpdate:modelValue": c[5] || (c[5] = (i) => p.value.start = i),
                onChange: P
              }, null, 544)), [
                [te, p.value.start]
              ]) : (a(), l("div", qt, [
                U(n("select", {
                  class: "w-full select-bordered select",
                  "onUpdate:modelValue": c[6] || (c[6] = (i) => m.value.start = i),
                  onChange: P
                }, [
                  (a(!0), l(_, null, C(z(R), (i) => (a(), l("option", {
                    key: i,
                    value: i
                  }, $(i.toString().padStart(2, "0")), 9, Wt))), 128))
                ], 544), [
                  [
                    F,
                    m.value.start,
                    void 0,
                    { number: !0 }
                  ]
                ]),
                U(n("select", {
                  class: "w-full select-bordered select",
                  "onUpdate:modelValue": c[7] || (c[7] = (i) => b.value.start = i),
                  onChange: P
                }, [
                  (a(!0), l(_, null, C(z(Y), (i) => (a(), l("option", {
                    key: i,
                    value: i
                  }, $(i.toString().padStart(2, "0")), 9, Ht))), 128))
                ], 544), [
                  [
                    F,
                    b.value.start,
                    void 0,
                    { number: !0 }
                  ]
                ])
              ]))
            ]),
            n("div", null, [
              c[14] || (c[14] = n("p", { class: "font-bold" }, "End Time", -1)),
              q.value ? U((a(), l("input", {
                key: 0,
                type: "time",
                class: "input-bordered w-full input",
                "onUpdate:modelValue": c[8] || (c[8] = (i) => p.value.end = i),
                onChange: P
              }, null, 544)), [
                [te, p.value.end]
              ]) : (a(), l("div", Yt, [
                U(n("select", {
                  class: "w-full select-bordered select",
                  "onUpdate:modelValue": c[9] || (c[9] = (i) => m.value.end = i),
                  onChange: P
                }, [
                  (a(!0), l(_, null, C(z(R), (i) => (a(), l("option", {
                    key: i,
                    value: i
                  }, $(i.toString().padStart(2, "0")), 9, Jt))), 128))
                ], 544), [
                  [
                    F,
                    m.value.end,
                    void 0,
                    { number: !0 }
                  ]
                ]),
                U(n("select", {
                  class: "w-full select-bordered select",
                  "onUpdate:modelValue": c[10] || (c[10] = (i) => b.value.end = i),
                  onChange: P
                }, [
                  (a(!0), l(_, null, C(z(Y), (i) => (a(), l("option", {
                    key: i,
                    value: i
                  }, $(i.toString().padStart(2, "0")), 9, Gt))), 128))
                ], 544), [
                  [
                    F,
                    b.value.end,
                    void 0,
                    { number: !0 }
                  ]
                ])
              ]))
            ])
          ])) : (a(), l("div", jt, [
            q.value ? U((a(), l("input", {
              key: 0,
              type: "time",
              class: "input-bordered w-full input",
              "onUpdate:modelValue": c[2] || (c[2] = (i) => p.value = i),
              onChange: P
            }, null, 544)), [
              [te, p.value]
            ]) : (a(), l("div", Nt, [
              U(n("select", {
                class: "w-full select-bordered select",
                "onUpdate:modelValue": c[3] || (c[3] = (i) => m.value = i),
                onChange: P
              }, [
                (a(!0), l(_, null, C(z(R), (i) => (a(), l("option", {
                  key: i,
                  value: i
                }, $(i.toString().padStart(2, "0")), 9, Rt))), 128))
              ], 544), [
                [
                  F,
                  m.value,
                  void 0,
                  { number: !0 }
                ]
              ]),
              U(n("select", {
                class: "w-full select-bordered select",
                "onUpdate:modelValue": c[4] || (c[4] = (i) => b.value = i),
                onChange: P
              }, [
                (a(!0), l(_, null, C(z(Y), (i) => (a(), l("option", {
                  key: i,
                  value: i
                }, $(i.toString().padStart(2, "0")), 9, Ft))), 128))
              ], 544), [
                [
                  F,
                  b.value,
                  void 0,
                  { number: !0 }
                ]
              ])
            ]))
          ]))
        ])) : T("", !0),
        n("div", Kt, [
          n("button", {
            class: x(["btn btn-secondary", u.popup ? "w-fit" : "w-full"]),
            onClick: ke
          }, "Clear", 2),
          u.popup ? (a(), l("button", {
            key: 0,
            class: "btn btn-primary btn-wide",
            onClick: ie
          }, "Close")) : T("", !0)
        ])
      ], 10, Bt)) : T("", !0)
    ], 512));
  }
}, Zt = /* @__PURE__ */ G(Xt, [["__scopeId", "data-v-488ecabe"]]), Qt = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: Zt
}, Symbol.toStringTag, { value: "Module" })), en = ["value", "checked", "onChange", "disabled"], Yn = /* @__PURE__ */ V({
  __name: "rating",
  props: {
    initialRating: { default: 0 },
    numberOfStars: { default: 5 },
    halfStars: { type: Boolean, default: !0 },
    isInteractive: { type: Boolean, default: !1 },
    size: { default: "sm" }
  },
  setup(u) {
    const o = u, e = S(o.initialRating);
    j(
      () => o.initialRating,
      (r) => {
        e.value = r;
      }
    );
    const t = (r) => {
      e.value = r;
    };
    return (r, s) => (a(), l("div", {
      class: x(["rating", [
        `rating-${o.size}`,
        { "rating-half": r.halfStars }
      ]])
    }, [
      (a(!0), l(_, null, C(r.numberOfStars * (r.halfStars ? 2 : 1), (p) => (a(), l("input", {
        key: p,
        type: "radio",
        value: r.halfStars ? p * 0.5 : p,
        checked: e.value === (r.halfStars ? p * 0.5 : p),
        onChange: (h) => r.isInteractive ? t(r.halfStars ? p * 0.5 : p) : null,
        class: x(["mask mask-star", {
          "bg-yellow-400": e.value >= (r.halfStars ? p * 0.5 : p),
          "mask-half-1": r.halfStars && p % 2 !== 0,
          "mask-half-2": r.halfStars && p % 2 === 0,
          "cursor-pointer": r.isInteractive,
          "cursor-default": !r.isInteractive
        }]),
        disabled: !r.isInteractive
      }, null, 42, en))), 128))
    ], 2));
  }
}), tn = { class: "badge" }, nn = ["onClick"], an = { class: "opacity-75" }, ln = ["placeholder"], Jn = /* @__PURE__ */ V({
  __name: "taginput",
  props: {
    modelValue: {},
    maxTagAmount: {},
    placeholder: {},
    class: {}
  },
  emits: ["update:modelValue"],
  setup(u, { emit: o }) {
    const e = u, t = o, r = S([...e.modelValue]), s = e.maxTagAmount === void 0 ? -1 : e.maxTagAmount, p = S(null), h = S(""), v = B(() => s < 0 || r.value.length < s), m = () => {
      const M = h.value.trim();
      M && !r.value.includes(M) && (r.value.push(M), t("update:modelValue", r.value), h.value = "");
    }, b = (M) => {
      r.value = r.value.filter((f) => f !== M), t("update:modelValue", r.value);
    }, L = () => {
      h.value === "" && (r.value.pop(), t("update:modelValue", r.value));
    }, E = (M) => {
      M.key === "Enter" ? m() : M.key === "Backspace" && h.value === "" && L();
    };
    return j(() => e.modelValue, (M) => {
      r.value = [...M];
    }), (M, f) => (a(), l("div", {
      class: x(["flex flex-wrap gap-2 bg-base-100 shadow px-4 py-6 border border-base-content/20 rounded", M.$props.class])
    }, [
      (a(!0), l(_, null, C(r.value, (g) => w(M.$slots, "tag", {
        key: g,
        tag: g
      }, () => [
        n("div", tn, [
          n("button", {
            class: "!px-1 !py-0 h-fit font-bold cursor-pointer",
            onClick: (k) => b(g),
            "aria-label": "Remove tag"
          }, "X", 8, nn),
          n("span", an, $(g), 1)
        ])
      ])), 128)),
      w(M.$slots, "input", { showInput: v.value }, () => [
        v.value ? U((a(), l("input", {
          key: 0,
          ref_key: "inputRef",
          ref: p,
          "onUpdate:modelValue": f[0] || (f[0] = (g) => h.value = g),
          type: "text",
          placeholder: M.placeholder || "Type here",
          class: "h-full input input-ghost",
          onKeydown: E,
          "aria-label": "Add tags"
        }, null, 40, ln)), [
          [te, h.value]
        ]) : T("", !0)
      ])
    ], 2));
  }
}), Gn = /* @__PURE__ */ V({
  __name: "loader",
  props: {
    loading: { type: Boolean, default: !0 },
    size: { default: "md" },
    type: { default: "spinner" },
    color: { default: "primary" }
  },
  setup(u) {
    const o = u, e = S(o.loading);
    return j(
      () => o.loading,
      (t) => {
        e.value = t;
      }
    ), (t, r) => e.value ? (a(), l("span", {
      key: 0,
      class: x(["loading", [
        { "loading-xs": t.size === "xs" },
        { "loading-sm": t.size === "sm" },
        { "loading-md": t.size === "md" },
        { "loading-lg": t.size === "lg" },
        { "loading-xl": t.size === "xl" },
        // types
        { "loading-spinner": t.type === "spinner" },
        { "loading-dots": t.type === "dots" },
        { "loading-ring": t.type === "ring" },
        { "loading-balls": t.type === "balls" },
        { "loading-bars": t.type === "bars" },
        { "loading-infinity": t.type === "infinity" },
        // colors
        { "text-primary": t.color === "primary" },
        { "text-secondary": t.color === "secondary" },
        { "text-accent": t.color === "accent" },
        { "text-neutral": t.color === "neutral" },
        { "text-info": t.color === "info" },
        { "text-success": t.color === "success" },
        { "text-warning": t.color === "warning" },
        { "text-error": t.color === "error" }
      ]])
    }, null, 2)) : T("", !0);
  }
}), on = { class: "footer sm:footer-horizontal container" }, sn = { class: "footer-title" }, rn = ["href"], un = {
  key: 0,
  class: "sm:hidden w-full"
}, dn = { class: "border-b-2 border-base-100 last:border-b-0 w-full" }, cn = {
  tabindex: "0",
  class: "collapse collapse-plus w-full"
}, pn = { class: "collapse-title font-bold text-lg collapsible-footer-title" }, fn = { class: "collapse-content flex w-full text-sm" }, mn = { class: "flex flex-col gap-2.5" }, vn = { class: "w-full" }, gn = ["href"], hn = { class: "w-full" }, Kn = /* @__PURE__ */ V({
  __name: "footer",
  props: {
    items: {},
    background: {},
    color: {},
    collapseOnMobile: { type: Boolean, default: !1 }
  },
  setup(u) {
    const o = u;
    return (e, t) => (a(), l("div", {
      class: x(["mx-auto md:px-10 py-10 text-base-content", [e.background ?? "bg-base-200", e.color ?? "text-base-content"]])
    }, [
      n("footer", on, [
        (a(!0), l(_, null, C(o.items, (r) => (a(), l("nav", {
          class: x([{ "hidden sm:grid": e.collapseOnMobile }])
        }, [
          n("h6", sn, $(r.title), 1),
          (a(!0), l(_, null, C(r.items, (s) => (a(), l("a", {
            class: "link link-hover",
            href: s.link
          }, $(s.text), 9, rn))), 256))
        ], 2))), 256)),
        e.collapseOnMobile ? (a(), l("nav", un, [
          (a(!0), l(_, null, C(o.items, (r) => (a(), l("ul", dn, [
            n("div", cn, [
              n("div", pn, $(r.title), 1),
              n("div", fn, [
                n("ul", mn, [
                  (a(!0), l(_, null, C(r.items, (s) => (a(), l("li", vn, [
                    n("a", {
                      class: "w-full font-medium link link-hover",
                      href: s.link
                    }, $(s.text), 9, gn)
                  ]))), 256))
                ])
              ])
            ])
          ]))), 256))
        ])) : T("", !0),
        n("aside", hn, [
          w(e.$slots, "default")
        ])
      ])
    ], 2));
  }
}), bn = {}, yn = { class: "min-h-40 container hero" }, wn = { class: "px-0! text-center hero-content" }, kn = { class: "mt-9 text-4xl" };
function _n(u, o) {
  return a(), l("div", yn, [
    n("div", wn, [
      n("div", null, [
        n("h1", kn, [
          w(u.$slots, "title", {}, () => [
            o[0] || (o[0] = se("hero title"))
          ])
        ]),
        n("p", null, [
          w(u.$slots, "description", { class: "py-9" })
        ]),
        w(u.$slots, "call-to-action-block", { class: "max-w-full" }, () => [
          o[1] || (o[1] = n("button", { class: "btn btn-primary" }, "Call to action", -1))
        ])
      ])
    ])
  ]);
}
const Xn = /* @__PURE__ */ G(bn, [["render", _n]]), $n = { class: "flex flex-row place-content-center gap-4 categories" }, Sn = ["onClick"], Zn = /* @__PURE__ */ V({
  __name: "categoryNavigation",
  props: {
    searchOptions: {},
    currentCategory: {}
  },
  emits: ["update:currentCategory"],
  setup(u, { emit: o }) {
    const e = u, t = o;
    function r(s) {
      t("update:currentCategory", s);
    }
    return (s, p) => (a(), l("div", $n, [
      (a(!0), l(_, null, C(e.searchOptions, (h) => (a(), l("div", {
        key: h.category
      }, [
        n("button", {
          onClick: (v) => r(h.category),
          class: x(["truncate btn btn-ghost", { "font-semibold": e.currentCategory === h.category }])
        }, $(h.category), 11, Sn)
      ]))), 128))
    ]));
  }
}), xn = { class: "md:flex hidden navbar-start" }, Cn = { class: "md:flex justify-center items-center hidden navbar-center" }, Dn = { class: "md:flex hidden navbar-end" }, Mn = { class: "navbar-bottom md:flex hidden" }, Tn = /* @__PURE__ */ V({
  __name: "navigationBar",
  props: {
    isCollapsed: { type: Boolean, default: !0 }
  },
  setup(u) {
    const o = u;
    return (e, t) => (a(), l("nav", {
      class: x(["place-items-start border-primary bg-base-100 px-5 py-5 border-b-4 transition-all navbar navigationbar", o.isCollapsed ? "collapsed" : ""])
    }, [
      n("div", xn, [
        w(e.$slots, "start", {}, void 0, !0)
      ]),
      n("div", Cn, [
        w(e.$slots, "center", {}, void 0, !0)
      ]),
      n("div", Dn, [
        w(e.$slots, "end", {}, void 0, !0)
      ]),
      n("div", Mn, [
        w(e.$slots, "bottom", {}, void 0, !0)
      ])
    ], 2));
  }
}), Qn = /* @__PURE__ */ G(Tn, [["__scopeId", "data-v-8ddb2b45"]]), In = {
  key: 0,
  class: "hidden top-4 right-0 absolute md:flex gap-4"
}, Bn = ["onClick", "aria-selected"], Vn = {
  key: 0,
  role: "tabpanel",
  class: "p-6 border-x-0 border-t-2 border-b-0 border-base-300 max-w-full overflow-x-auto tab-content"
}, Pn = { class: "p-6 border-x-0 border-t-2 border-b-0 border-base-300 max-w-full" }, ea = /* @__PURE__ */ V({
  __name: "tab",
  props: {
    items: {},
    withControlls: { type: Boolean, default: !1 },
    rotateTabsAfter: { default: 0 },
    buttonOnlyMode: { type: Boolean, default: !1 }
  },
  emits: ["tab-changed"],
  setup(u, { emit: o }) {
    const e = u, t = S(e.items[0]), r = o;
    function s(v) {
      t.value = v, r("tab-changed", v);
    }
    function p() {
      const m = (e.items.indexOf(t.value) + 1) % e.items.length;
      s(e.items[m]);
    }
    function h() {
      const m = (e.items.indexOf(t.value) - 1 + e.items.length) % e.items.length;
      s(e.items[m]);
    }
    return H(() => {
      e.items && s(e.items[0]);
    }), ge(() => {
      e.rotateTabsAfter && e.rotateTabsAfter > 0 && setInterval(() => {
        p();
      }, e.rotateTabsAfter * 1e3);
    }), (v, m) => (a(), l(_, null, [
      n("div", {
        role: "tablist",
        class: x(["relative tabs-bordered w-full tabs tabs-lg", { "flex-nowrap overflow-x-auto": v.buttonOnlyMode }])
      }, [
        v.withControlls ? (a(), l("div", In, [
          n("button", {
            onClick: m[0] || (m[0] = (b) => h()),
            class: "cursor-pointer"
          }, "Previous"),
          n("button", {
            onClick: m[1] || (m[1] = (b) => p()),
            class: "text-primary cursor-pointer"
          }, "Next")
        ])) : T("", !0),
        (a(!0), l(_, null, C(v.items, (b) => (a(), l(_, null, [
          n("a", {
            type: "button",
            role: "tab",
            class: x(["min-w-max tab", b === t.value ? "bg-primary text-base-100" : ""]),
            onClick: (L) => s(b),
            "aria-selected": t.value == b
          }, $(b), 11, Bn),
          v.buttonOnlyMode ? T("", !0) : (a(), l("div", Vn, [
            w(v.$slots, `${b}-tab`)
          ]))
        ], 64))), 256))
      ], 2),
      n("div", Pn, [
        w(v.$slots, "default")
      ])
    ], 64));
  }
});
export {
  Nn as Accordion,
  Hn as AdvancedSearch,
  Rn as Avatar,
  Fn as Badge,
  An as ButtonComponent,
  En as Card,
  qn as Carousel,
  Wn as CarouselItem,
  Zn as CategoryNavigation,
  Zt as DatetimePicker,
  Un as Dropdown,
  Kn as Footer,
  Xn as Hero,
  Gn as Loader,
  zn as Modal,
  Qn as NavigationBar,
  Yn as Rating,
  Ln as Swap,
  ea as Tab,
  Jn as TagInput,
  jn as ThemeController
};
